
/* Generated by Interface Builder */

#import <objc/Object.h>
#import <appkit/nextstd.h>
#import <appkit/Form.h>
#import <appkit/Button.h>
#import <stdio.h>

@interface  NXYController:Object
{
    id	mainTitle;		/* the main title object */
    id	yMax;			/* the yMax object */
    id	xMax;			/* the xMax object */
    id	canvas;			/* the PlotView object */
    id	yMin;			/* the yMin object */
    id	xMin;			/* the xMin object */
    id	yInc;			/* the yInc object */
    id	xInc;			/* the xInc object */
    id	yTitle;			/* the yTitle object */
    id	xTitle;			/* the xTitle object */
    id  lineText;		/* the lineText object */
    id  symbolText;		/* the symbolText object */
    id  lineMatrix;		/* the lineMatrix object */
    id  lineThickness;		/* the lineThickness object */
    id  symbolMatrix;		/* the symbolMatrix object */
    id  symbolSize;		/* the symbolSize object */
    id  legendTitle;		/* the legend title object */
    id  legendForm;		/* the legend form object */
    id  legendOnOff;		/* the legend on/off button */
    id  legendBoxOnOff;		/* the legend Box on/off button */
    id  gridOnOff;		/* the grid on/off button */
    id  borderBoxOnOff;		/* the border box on/off button */
    id  legendMove;		/* the legend Move button */
    id  zoomOnOff;		/* the zoom on/off button */
    id  plotButton;		/* the plot Button object */
    id  xLinLog;		/* the x-axis linear/logarithmic button */
    id  yLinLog;		/* the y-axis linear/logarithmic button */

    const char * maintitle;
    const char * xtitle;
    const char * ytitle;

    NXCoord *x;			/* the x coordinates */
    NXCoord **y;		/* the y coordinates */
    int npoints;		/* number of points  */
    int ncurves;		/* number of curves  */

    NXPoint min;		/* min.x and min.y from xMin and yMin objects */
    NXPoint max;		/* max.x and max.y from xMax and yMax objects */
    NXPoint datamin;		/* xmin and ymin from the data */
    NXPoint datamax;		/* xmax and ymax from the data */
}

- (NXCoord *)xdata;
- (NXCoord **)ydata;

- (int) nPoints;
- (int) nCurves;

- (const char *) provideXtitle;
- (const char *) provideYtitle;
- (const char *) provideMaintitle;
- (const char *) provideCurveTitle:(int)aCurve;
- (const char *) provideLegendTitle;

- (BOOL) shouldDrawLegendBox;
- (BOOL) shouldDrawLegend;
- (BOOL) shouldDrawGrid;
- (BOOL) shouldDrawBox;
- (BOOL) shouldMoveLegend;
- (BOOL) doZoom;
- (BOOL) xaxisLog;
- (BOOL) yaxisLog;
- forceXaxisLinear;
- forceYaxisLinear;

- (int)providelinestyle: (int)aCurve;
				/* 0=solid, 1=dash, 2=dot, 3=chain dash */
				/* 4=chain dot, 5=none */
- (int)providesymbolstyle: (int)aCurve;
				/* 0=none, 1=circle, 2=x, 3=up triangle */
				/* 4=down triangle, 5=diamond, 6=square  */
				/* 7=plus */

- (int)providelinethickness;    /* 0=thin, 1=medium, 2=thick */

- (int)providesymbolsize;       /* 0=pixel, 1=small, 2=medium, 3=large */

- (float) provideXmin;
- (float) provideXmax;
- (float) provideXinc;
- (float) provideYmin;
- (float) provideYmax;
- (float) provideYinc;

- resetXmin:(float)x;
- resetXmax:(float)x;
- resetXinc:(float)x;
- resetYmin:(float)x;
- resetYmax:(float)x;
- resetYinc:(float)x;

- resetMinMax:sender;

- drawPlotButton:(int)state;

- drawPlot:sender;

- (int) readData:(FILE *)aDataStream;

- adjustPanels:(int)oldn :(int)newn;

- findMinAndMax;

- open:sender;

- openFile:(char *)dataFile;

#define N_LINE_STYLES 6		/* number of line styles (including none) */
#define N_SYMBOL_STYLES 8	/* number of symbol styles (including none) */

@end
